
From: Kumar Gala <galak@freescale.com.freescale.net>

Report the chip version in /proc/cpuinfo on 85xx ADS and CDS platforms.

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/85xx/mpc85xx_ads_common.c |    2 ++
 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.c |    1 +
 2 files changed, 3 insertions(+)

diff -puN arch/ppc/platforms/85xx/mpc85xx_ads_common.c~ppc32-report-chip-version-in-proc-cpuinfo-for-85xx-boards arch/ppc/platforms/85xx/mpc85xx_ads_common.c
--- 25/arch/ppc/platforms/85xx/mpc85xx_ads_common.c~ppc32-report-chip-version-in-proc-cpuinfo-for-85xx-boards	2005-02-22 21:05:51.000000000 -0800
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_ads_common.c	2005-02-22 21:05:51.000000000 -0800
@@ -43,6 +43,7 @@
 #include <asm/mpc85xx.h>
 #include <asm/irq.h>
 #include <asm/immap_85xx.h>
+#include <asm/ppc_sys.h>
 
 #include <mm/mmu_decl.h>
 
@@ -128,6 +129,7 @@ mpc85xx_ads_show_cpuinfo(struct seq_file
 	pvid = mfspr(PVR);
 	svid = mfspr(SVR);
 
+	seq_printf(m, "chip\t\t: %s\n", cur_ppc_sys_spec->ppc_sys_name);
 	seq_printf(m, "Vendor\t\t: Freescale Semiconductor\n");
 
 	switch (svid & 0xffff0000) {
diff -puN arch/ppc/platforms/85xx/mpc85xx_cds_common.c~ppc32-report-chip-version-in-proc-cpuinfo-for-85xx-boards arch/ppc/platforms/85xx/mpc85xx_cds_common.c
--- 25/arch/ppc/platforms/85xx/mpc85xx_cds_common.c~ppc32-report-chip-version-in-proc-cpuinfo-for-85xx-boards	2005-02-22 21:05:51.000000000 -0800
+++ 25-akpm/arch/ppc/platforms/85xx/mpc85xx_cds_common.c	2005-02-22 21:05:51.000000000 -0800
@@ -145,6 +145,7 @@ mpc85xx_cds_show_cpuinfo(struct seq_file
         pvid = mfspr(PVR);
         svid = mfspr(SVR);
 
+	seq_printf(m, "chip\t\t: %s\n", cur_ppc_sys_spec->ppc_sys_name);
         seq_printf(m, "Vendor\t\t: Freescale Semiconductor\n");
 	seq_printf(m, "Machine\t\t: CDS (%x)\n", cadmus[CM_VER]);
 	seq_printf(m, "clock\t\t: %dMHz\n", freq / 1000000);
_
